Layout::NoopLayout(3)

NAME
Log::Log4perl::Layout::NoopLayout - Pass-thru Layout

SYNOPSIS
  use Log::Log4perl::Layout::NoopLayout;
  my $layout = Log::Log4perl::Layout::NoopLayout->new();

DESCRIPTION
This is a no-op layout, returns the logging message unaltered, useful for implementing the DBI logger.

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.